### Enumeration

# Xdp DeviceType

#### Declaration

    flags Xdp.DeviceType

#### Description [src]

Flags to specify what input devices to control for a remote desktop session.

#### Members

`XDP_DEVICE_NONE`

  No device.

  - Value: `0`
  - Available since: 1.0
`XDP_DEVICE_KEYBOARD`

  Control the keyboard.

  - Value: `1`
  - Available since: 1.0
`XDP_DEVICE_POINTER`

  Control the pointer.

  - Value: `2`
  - Available since: 1.0
`XDP_DEVICE_TOUCHSCREEN`

  Control the touchscreen.

  - Value: `4`
  - Available since: 1.0